Bug 155022 - window-list and workspace-switcher prefs crashes on multi-head
window-list and workspace-switcher prefs crashes on multi-head
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-04-15 14:45 EDT by Greg A. Jandl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg A. Jandl 2005-04-15 14:45:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I have a multi-headed workstation using an NVidea quadro card (Dell Precision 850). I'm running with seperate displays, one for each monitor, rather than one big display covering both monitors. I have the stock panels, one at the top and bottom of each display. On display :0.0, everything works as expected. On display :0.1, however, the preferences panel for (at least) window-list and workspace-switcher crashes, taking all the panel applets with it. Perhaps this would more usefully be termed a gnome-panel bug. I don't know. Interrestingly, when the crash occurs, it takes the applets on the bottom panel of the other display (:0.0) out as well. The two bottom panels have identical applet sets - window-selector, window-list and workspace-switcher.

If I move my mouse *really* slowly, I can get a pointer over the prefs dialog, but when I click on any widgets, I get the ever popular "The "Window List" applet appears to have died unexpectedly. Do you want to reload this applet?" alert box. If I move the mouse at a normal speed, the prefs dialog will often crash before or just as the pointer gets to it. If I use a keyboard mnemonic to directly select a widget, the prefs dialog crashes immediately. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. chosse preferences from the window-list's context menu on the second display of a two display setup (:0.1 in my case)
2. attempt to change any settings in the prefs dialog
3. watch the applets on the same panel (on both displays) crash

Actual Results:  All three applets on the bottom panel of both displays "died unexpectedly".

Expected Results:  I should have been able to edit the preferences successfully.

Additional info:

Using the proprietary NVidea drivers.
Comment 1 Matthew Miller 2006-07-10 17:10:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:41:53 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.